Loading...
Searching...
No Matches
Ogre::VectorBase< 4, Real > Struct Reference
Core » Math

`#include <OgreVector.h>`

## Public Member Functions

| VectorBase ()
constexpr | VectorBase (Real _x, Real _y, Real _z, Real _w)
Real * | ptr ()
const Real * | ptr () const

## Public Attributes

Real | data [dims]
Real | w
Real | x
Real | y
Real | z

## Static Public Attributes

static const Vector4 & | ZERO

## Constructor & Destructor Documentation

## VectorBase() [1/2]

Ogre::VectorBase< 4, Real >::VectorBase | ( |  | ) |

inline

## VectorBase() [2/2]

Ogre::VectorBase< 4, Real >::VectorBase | ( | Real | _x,
|  | Real | _y,
|  | Real | _z,
|  | Real | _w )

inline constexpr

References w, x, y, and z.

## Member Function Documentation

## ptr() [1/2]

Real * Ogre::VectorBase< 4, Real >::ptr | ( |  | ) |

inline

References x.

## ptr() [2/2]

const Real * Ogre::VectorBase< 4, Real >::ptr | ( |  | ) | const

inline

References x.

## Member Data Documentation

## x

Real Ogre::VectorBase< 4, Real >::x

Referenced by VectorBase(), ptr(), and ptr().

## y

Real Ogre::VectorBase< 4, Real >::y

Referenced by VectorBase().

## z

Real Ogre::VectorBase< 4, Real >::z

Referenced by VectorBase().

## w

Real Ogre::VectorBase< 4, Real >::w

Referenced by VectorBase().

## ZERO

const Vector4& Ogre::VectorBase< 4, Real >::ZERO

static

## data

Real Ogre::VectorBase< dims, Real >::data[dims]

The documentation for this struct was generated from the following file:

- OgreVector.h